Pathname of current directory

- « posix_get_last_error

- posix_getegid »

- PHP Manual
- POSIX Functions
- Pathname of current directory

# posix_getcwd

(PHP 4, PHP 5, PHP 7, PHP 8)

posix_getcwd — Pathname of current directory

### Description

posix_getcwd(): string|false

Gets the absolute pathname of the script's current working directory. On error, it sets errno which can be checked using posix_get_last_error()

### Parameters

This function has no parameters.

### Return Values

Returns a string of the absolute pathname on success. On error, returns `false` and sets errno which can be checked with posix_get_last_error().

### Examples

Example #1 posix_getcwd() example

This example will return the absolute path of the current working directory of the script.

    <?phpecho 'My current working directory is '.posix_getcwd();?>

### Notes

> Note:

> This function can fail on

> - Read or Search permission was denied
> - Pathname no longer exists